Fahrtenbuch

Passkeys

POST
/auth/passkeys/register/options

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

WebAuthn-Optionen

Example Request
curl -X POST 'https://example.com/api/v1/auth/passkeys/register/options'
Example Response200
Empty

Register passkey

POST
/auth/passkeys/register/verify

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
[key: string]?any

Response Body

Passkey registriert

Example Request
curl -X POST 'https://example.com/api/v1/auth/passkeys/register/verify' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
Empty
POST
/auth/passkeys/login/options

Response Body

WebAuthn-Optionen

Example Request
curl -X POST 'https://example.com/api/v1/auth/passkeys/login/options'
Example Response200
Empty

Log in with passkey

POST
/auth/passkeys/login/verify

Request Body

application/json
  1. body
[key: string]?any

Response Body

Erfolgreich angemeldet

application/json
  1. response
accessToken*string
refreshToken*string
expiresIn*integer
tokenType?string
user*
Example Request
curl -X POST 'https://example.com/api/v1/auth/passkeys/login/verify' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
{  "accessToken": "string",  "refreshToken": "string",  "expiresIn": 0,  "tokenType": "Bearer",  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "user@example.com",    "loginName": "string",    "displayName": "string",    "firstName": "string",    "lastName": "string",    "role": "user",    "status": "active",    "locale": "de",    "timezone": "Europe/Berlin",    "themeMode": "light",    "totpEnabled": true,    "totpRequired": true,    "passkeyEnabled": true,    "hasPassword": true,    "forcePasswordChange": true,    "onboardingCompleted": true,    "lastLoginAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

List own passkeys

GET
/auth/passkeys

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Passkey-Liste

Example Request
curl -X GET 'https://example.com/api/v1/auth/passkeys'
Example Response200
Empty

Rename own passkey

PATCH
/auth/passkeys/{id}

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
name*string
Length1 <= length <= 120

Response Body

Passkey aktualisiert

Example Request
curl -X PATCH 'https://example.com/api/v1/auth/passkeys/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response200
Empty

Delete passkey

DELETE
/auth/passkeys/{id}

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string
Formatuuid

Response Body

Passkey gelöscht

Example Request
curl -X DELETE 'https://example.com/api/v1/auth/passkeys/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response204
Empty